#
# spec file for package azove
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           azove
Version:        2.0
Release:        3.6
Summary:        Another Zero One Vertex Enumeration tool
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://people.mpi-inf.mpg.de/alumni/d1/2019/behle/azove.html
Source:         https://people.mpi-inf.mpg.de/alumni/d1/2019/behle/%name-%version.tar.gz
Patch1:         azove-cpp.diff
BuildRequires:  gcc-c++
BuildRequires:  gmp-devel

%description
azove is a tool designed for counting (without explicit enumeration)
and enumeration of 0/1 vertices.

Given a polytope by a linear relaxation or facet description P = {x |
Ax <= b}, all 0/1 points lying in P can be counted or enumerated.
This is done by intersecting the polytope P with the unit-hypercube
[0,1]^d. The integral vertices (no fractional ones) of this
intersection will be enumerated. If P is a 0/1 polytope, azove solves
the vertex enumeration problem. In fact, it can also solve the 0/1
knapsack problem and the 0/1 subset sum problem.

%prep
%autosetup -p1

%build
%make_build COMPILER_FLAGS="%optflags"

%install
c="%buildroot/%_bindir"
mkdir -p "$c"
install -pm0755 azove2 "$c"

%files
%_bindir/azove2
%license COPYING

%changelog
* Thu Nov  2 2023 Jan Engelhardt <jengelh@inai.de>
- Update homepage URLs
* Sat Aug 24 2019 Jan Engelhardt <jengelh@inai.de>
- Modernize specfile.
* Thu May 23 2013 jengelh@inai.de
- Initial package (version 2.0) for build.opensuse.org
- Add azove-cpp.diff to fix compile error
